Package: org.grails.web.mapping

## [Java] Class ReverseMappingKey

- org.grails.web.mapping.UrlCreatorCache.ReverseMappingKey

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected java.lang.String` | `action` |
    `protected java.lang.String` | `controller` |
    `protected java.lang.String` | `httpMethod` |
    `protected java.lang.String` | `namespace` |
    `protected java.lang.String[]` | `paramKeys` |
    `protected java.lang.String[]` | `paramValues` |
    `protected java.lang.String` | `pluginName` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `UrlCreatorCache.ReverseMappingKey (java.lang.String controller, java.lang.String action, java.lang.String namespace, java.lang.String pluginName, java.lang.String httpMethod, java.util.Map<java.lang.Object, java.lang.Object> params)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `boolean` | `equals(java.lang.Object obj)`
    `` | `int` | `hashCode()`
    `` | `java.lang.String` | `toString()`
    `` | `int` | `weight()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### protected final java.lang.String action

    - #### protected final java.lang.String controller

    - #### protected final java.lang.String httpMethod

    - #### protected final java.lang.String namespace

    - #### protected final java.lang.String[] paramKeys

    - #### protected final java.lang.String[] paramValues

    - #### protected final java.lang.String pluginName

  - ### Constructor Detail

    - #### public UrlCreatorCache.ReverseMappingKey(java.lang.String controller, java.lang.String action, java.lang.String namespace, java.lang.String pluginName, java.lang.String httpMethod, java.util.Map<java.lang.Object, java.lang.Object> params)

  - ### Method Detail

    - #### @java.lang.Override public boolean equals(java.lang.Object obj)

    - #### @java.lang.Override public int hashCode()

    - #### @java.lang.Override public java.lang.String toString()

    - #### public int weight()